## org.eclipse.datatools.sqltools.result.internal.ui.view
Class ParameterTableViewer

    java.lang.Object
      org.eclipse.jface.viewers.Viewer
          org.eclipse.jface.viewers.ContentViewer
              org.eclipse.jface.viewers.StructuredViewer
                  org.eclipse.jface.viewers.ColumnViewer
                      org.eclipse.jface.viewers.AbstractTableViewer
                          org.eclipse.jface.viewers.TableViewer
                              org.eclipse.datatools.sqltools.result.internal.ui.view.ParameterTableViewer

All Implemented Interfaces:
  org.eclipse.jface.viewers.IInputProvider, org.eclipse.jface.viewers.IInputSelectionProvider, org.eclipse.jface.viewers.IPostSelectionProvider, org.eclipse.jface.viewers.ISelectionProvider

Direct Known Subclasses:
  ExternalParameterTableViewer

    public class ParameterTableViewer

extends org.eclipse.jface.viewers.TableViewer

Describes a table viewer for parameter

Author:
  Chetan Bhatia

Field Summary
`static int` `PARAM_DATA_TYPE`
`static int` `PARAM_NAME`
`static int` `PARAM_TYPE`
`static int` `PARAM_VALUE`
`static int` `PARAM_VALUE_OUT`

Constructor Summary
`ParameterTableViewer(org.eclipse.swt.widgets.Composite parent, int style)`

Method Summary

Methods inherited from class org.eclipse.jface.viewers.TableViewer
`getControl, getTable, refresh, refresh, setSelection`

Methods inherited from class org.eclipse.jface.viewers.AbstractTableViewer
`add, add, clear, getElementAt, getLabelProvider, insert, remove, remove, replace, reveal, setItemCount`

Methods inherited from class org.eclipse.jface.viewers.ColumnViewer
`cancelEditing, editElement, getCell, getCellEditors, getCellModifier, getColumnProperties, getColumnViewerEditor, getLabelProvider, isBusy, isCellEditorActive, refresh, refresh, setCellEditors, setCellModifier, setColumnProperties, setColumnViewerEditor, setLabelProvider, update`

Methods inherited from class org.eclipse.jface.viewers.StructuredViewer

`addDoubleClickListener, addDragSupport, addDropSupport, addFilter, addOpenListener, addPostSelectionChangedListener, getComparator, getComparer, getFilters, getSelection, getSorter, refresh, refresh, removeDoubleClickListener, removeFilter, removeOpenListener, removePostSelectionChangedListener, resetFilters, setComparator, setComparer, setContentProvider, setFilters, setInput, setSorter, setUseHashlookup, testFindItem, testFindItems, update`

Methods inherited from class org.eclipse.jface.viewers.ContentViewer
`getContentProvider, getInput`

Methods inherited from class org.eclipse.jface.viewers.Viewer
`addHelpListener, addSelectionChangedListener, getData, removeHelpListener, removeSelectionChangedListener, scrollDown, scrollUp, setData, setSelection`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.jface.viewers.ISelectionProvider
`addSelectionChangedListener, removeSelectionChangedListener, setSelection`

Field Detail

### PARAM_NAME

    public static final int PARAM_NAME

See Also:
  Constant Field Values

### PARAM_TYPE

    public static final int PARAM_TYPE

See Also:
  Constant Field Values

### PARAM_DATA_TYPE

    public static final int PARAM_DATA_TYPE

See Also:
  Constant Field Values

### PARAM_VALUE

    public static final int PARAM_VALUE

See Also:
  Constant Field Values

### PARAM_VALUE_OUT

    public static final int PARAM_VALUE_OUT

See Also:
  Constant Field Values

Constructor Detail

### ParameterTableViewer

    public ParameterTableViewer(org.eclipse.swt.widgets.Composite parent,
                                int style)